#vider la mmoire
rm(list=ls())

#*********************************************
#modifier le rpertoire et charger les donnes
#*********************************************
setwd(... mettre rpertoire de travail ici ...)
fichier <- read.csv(file="loyer.csv",sep=";")

#*******************
#analyse de variance
#*******************

#elle passe par la rgression dans R
reg <- lm(loyer ~ habitation, data=fichier)
summary(reg)

#et on en dduit le tableau d'analyse de variance
areg <-anova(reg)
areg

#**********************
#codage cornered effect
#**********************
banlieue <- c(1,0,0)[fichier$habitation]
campagne <- c(0,1,0)[fichier$habitation]

#regression
cornered <- lm(fichier$loyer ~ banlieue + campagne)
summary(cornered)

#**********************
#codage centered effect
#**********************
banlieue <- c(1,0,-1)[fichier$habitation]
campagne <- c(0,1,-1)[fichier$habitation]

#regression
centered <- lm(fichier$loyer ~ banlieue + campagne)
summary(centered)


